set terminal jpeg enhanced font "TIMES.TTF" 14 size 1600,1200
set encoding utf8
set output '$PT.jpeg'
set xtics 100


stats '$PT.txt' using 2 prefix 'X'
stats '$PT.txt' using 3 prefix 'Y'
stats '$PT.txt' using 4 prefix 'Z'

set multiplot
set grid

set size 1,0.33
set origin 0,0
#set ytics 5
set lmargin at screen 0.1
set xlabel "{\304\214}as [MJD]"
set ylabel "{/Symbol D}Z [cm]"
#set yrange [-19:19]
plot '$PT.txt' u 1:($4-Z_mean)*100 with points pt 7 lt rgb "red" ps 1 notitle

unset xlabel
#set ytics 10
set xtics format ''
set size 1,0.33
set origin 0,0.33
set lmargin at screen 0.1
set ylabel "{/Symbol D}Y [cm]"
#set yrange [-7:7]
plot '$PT.txt' u 1:($3-Y_mean)*100 with points pt 7 lt rgb "green" ps 1 notitle

set size 1,0.33
set origin 0,0.66
set lmargin at screen 0.1
set ylabel "{/Symbol D}X [cm]"
#set yrange [-7:7]
set title "$PT" offset 0,-1
plot '$PT.txt' u 1:($2-X_mean)*100 with points pt 7 lt rgb "blue" ps 1 notitle

unset multiplot
