set terminal jpeg enhanced font "TIMES.TTF" 14 size 1600,1200
set encoding utf8
set output 'RMSE.jpeg'
set xtics rotate
set boxwidth 0.10
set style fill solid 1.0 border -1

stats '.\3p\3p_RMSE.txt' using 2 name 'A'
N = A_records
set xrange [-1:N]
set yrange [0:]
set grid ytics mxtics mytics

set multiplot
set size 1,0.33
set xtics 1
set origin 0,0.01
set lmargin at screen 0.1
set ylabel 'RMSE_h [mm]'
plot '.\3p\3p_RMSE.txt' u   ($0-0.2):4:xtic(1) with boxes lc 'red' notitle,\
     '.\4p\4p_RMSE.txt' u   ($0-0.1):4         with boxes lc 'blue' notitle,\
     '.\6p\6p_RMSE.txt' u   ($0+0.0):4         with boxes lc 'green' notitle,\
     '.\7p\7p_RMSE.txt' u   ($0+0.1):4         with boxes lc 'gray20' notitle

unset xlabel
set xtics 1
set xtics format ''
set size 1,0.33
set origin 0,0.34
set lmargin at screen 0.1
set ylabel 'RMSE_n [mm]'
plot '.\3p\3p_RMSE.txt' u   ($0-0.2):3 with boxes lc 'red' notitle,\
     '.\4p\4p_RMSE.txt' u   ($0-0.1):3         with boxes lc 'blue' notitle,\
     '.\6p\6p_RMSE.txt' u   ($0+0.0):3         with boxes lc 'green' notitle,\
     '.\7p\7p_RMSE.txt' u   ($0+0.1):3         with boxes lc 'gray20' notitle

set size 1,0.33
set xtics 1
set origin 0,0.67
set lmargin at screen 0.1
set ylabel 'RMSE_e [mm]'
plot '.\3p\3p_RMSE.txt' u   ($0-0.2):2 with boxes lc 'red' title '3-PAR',\
     '.\4p\4p_RMSE.txt' u   ($0-0.1):2         with boxes lc 'blue' title '4-PAR',\
     '.\6p\6p_RMSE.txt' u   ($0+0.0):2         with boxes lc 'green' title '6-PAR',\
     '.\7p\7p_RMSE.txt' u   ($0+0.1):2         with boxes lc 'gray20' title '7-PAR'

unset multiplot
